<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Employees</title>

    <style>
            input, button, select {
                width: 300px;
                height: 30px;
            }

            .checkbox {
                width: 20px;
                height: 20px;
            }
    </style>
</head>

<body>

<div th:replace="fragments/header :: header"></div>

<h1>ADMIN PAGE</h1>

<p>
    <a th:href="@{/employees}">Employees</a>
</p>

<p>
    <a th:href="@{/flights}">Flights</a>
</p>

<p>
    <a th:href="@{/request}">Request</a>
</p>


<div sec:authorize="hasRole('ADMINISTRATOR')">
    <div align="center">

        <div>
            <h3 style="color:red" th:text="${errorMessage}"></h3>
        </div>

        <div>
            <h3 style="color:green" th:text="${message}"></h3>
        </div>

        <h2>Find employee:</h2>
        <form method="post" th:action="@{/employees}" th:object="${employee}">
            <div>
                <p>
                    <input placeholder="ID" th:name="employeeId" type="text" width="30"/>
                    <input placeholder="Last name" th:name="lastName" type="text" width="30"/>
                    <input placeholder="First name" th:name="firstName" type="text" width="30"/>
                    <select th:name="employeeRole" width="50">
                        <option value="">Position</option>
                        <option th:each="employeeRoleOpt : ${T(com.epam.rd.november2019.model.EmployeeRole).values()}"
                                th:text="${employeeRoleOpt.displayValue}"
                                th:value="${employeeRoleOpt}"></option>
                    </select>
                    <select th:name="sex" width="50">
                        <option value="">Sex</option>
                        <option th:each="sexOpt : ${T(com.epam.rd.november2019.model.Sex).values()}"
                                th:text="${sexOpt.displayValue}" th:value="${sexOpt}"></option>
                    </select>
                    <input placeholder="City" th:name="city" type="text" width="30"/>
                </p>
                <p>
                    <input type="submit" value="Find"/>
                </p>
            </div>
        </form>

        <h2>Add an employee</h2>
        <form action="#" th:action="@{/employees/add}" th:object="${employee}" method="post">
            <p>
                <input placeholder="Last name" th:name="lastName" type="text" width="30" required/>
                <input placeholder="First name" th:name="firstName" type="text" width="30" required/>
                <select th:name="employeeRole" width="50" required>
                    <option value="">Position</option>
                    <option th:each="employeeRoleOpt : ${T(com.epam.rd.november2019.model.EmployeeRole).values()}"
                            th:text="${employeeRoleOpt.displayValue}"
                            th:value="${employeeRoleOpt}"></option>
                </select>
                <select th:name="sex" width="50" required>
                    <option value="">Sex</option>
                    <option th:each="sexOpt : ${T(com.epam.rd.november2019.model.Sex).values()}"
                            th:text="${sexOpt.displayValue}" th:value="${sexOpt}"></option>
                </select>
                <input placeholder="City" th:name="city" type="text" width="30" required/>
            </p>
            <p>
                <input type="submit" value="Add"/>
            </p>
        </form>
    </div>
    <div align="center">
        <table border="1" cellpadding="5">
            <caption><h2>List of employees</h2></caption>
            <tr>
                <th>ID</th>
                <th>Last name</th>
                <th>First name</th>
                <th>Profession</th>
                <th>Sex</th>
                <th>City</th>
                <th>Edit</th>
                <th>Delete</th>
            </tr>
            <tr th:each="employee : ${employees}">
                <td th:text="${employee.employeeId}"></td>
                <td th:text="${employee.lastName}"></td>
                <td th:text="${employee.firstName}"></td>
                <td th:text="${employee.employeeRole.displayValue}"></td>
                <td th:text="${employee.sex.displayValue}"></td>
                <td th:text="${employee.city}"></td>
                <td><a th:href="@{/editEmployee/{id}(id=${employee.employeeId})}">Edit</a></td>
                <td><a th:href="@{/deleteEmployee/{id}(id=${employee.employeeId})}">Delete</a></td>
            </tr>
        </table>
    </div>

</div>

<!--<c:if test="${sessionScope.user.userRole eq 'DISPATCHER'}">-->


<!--    <jsp:include page="dispatcher_menu.jsp"></jsp:include>-->

<!--    <div align="center">-->
<!--        <h1>Create flight team for flight ${flightId}</h1>-->
<!--    </div>-->


<!--    <form action="/freeEmployees" method="get">-->
<!--        <div align="center">-->
<!--            <label for="employeeRole">Profession:</label>-->
<!--            <select name="employeeRole" required>-->
<!--                <option value="getAll">Get all</option>-->
<!--                <option value="PILOT">Pilot</option>-->
<!--                <option value="NAVIGATOR">Navigator</option>-->
<!--                <option value="RADIO_OPERATOR">Radio operator</option>-->
<!--                <option value="STEWARDESS">Stewardess</option>-->
<!--            </select>-->
<!--            <p>-->
<!--                <button type="submit" value="${flightId}" name="flightId" class="find">-->
<!--                    Find-->
<!--                </button>-->
<!--            </p>-->
<!--        </div>-->
<!--    </form>-->


<!--    <div align="center">-->
<!--        <form action="/addFlightTeam" method="post">-->

<!--            <button type="submit" value="${flightId}" name="flightId">-->
<!--                Add employee into team-->
<!--            </button>-->

<!--            <table border="1" cellpadding="5">-->
<!--                <caption><h2>List of employees</h2></caption>-->

<!--                <thead>-->
<!--                <tr>-->
<!--                    <th>ID</th>-->
<!--                    <th>Last name</th>-->
<!--                    <th>First name</th>-->
<!--                    <th>Profession</th>-->
<!--                    <th>Sex</th>-->
<!--                    <th>City</th>-->
<!--                </tr>-->
<!--                </thead>-->

<!--                <tbody>-->
<!--                <c:forEach items="${employees}" var="employee">-->
<!--                    <tr>-->
<!--                        <td><input class="checkbox" type="checkbox" name="employeeId" value="${employee.employeeId}"/>-->
<!--                        </td>-->
<!--                        <td>-->
<!--                            <c:out value="${employee.lastName}"/>-->
<!--                        </td>-->
<!--                        <td>-->
<!--                            <c:out value="${employee.firstName}"/>-->
<!--                        </td>-->
<!--                        <td>-->
<!--                            <c:out value="${employee.employeeRole}"/>-->
<!--                        </td>-->
<!--                        <td>-->
<!--                            <c:out value="${employee.sex}"/>-->
<!--                        </td>-->
<!--                        <td>-->
<!--                            <c:out value="${employee.city}"/>-->
<!--                        </td>-->
<!--                    </tr>-->
<!--                </c:forEach>-->
<!--                </tbody>-->
<!--            </table>-->
<!--        </form>-->
<!--    </div>-->

<!--</c:if>-->

<div th:replace="fragments/footer :: footer"></div>

</body>
</html>